import { Sequence } from 'gensequence';
import { Observable } from 'rxjs';
import * as Trie from 'cspell-trie';
export declare function normalizeWords(lines: Observable<string>): Observable<string>;
export declare function lineToWords(line: string): Sequence<string>;
interface CompileWordListOptions {
    splitWords: boolean;
}
export declare function compileWordList(filename: string, destFilename: string, options: CompileWordListOptions): Promise<void>;
export declare function compileWordListWithSplit(filename: string, destFilename: string): Promise<void>;
export declare function compileSimpleWordList(filename: string, destFilename: string): Promise<void>;
export declare function normalizeWordsToTrie(words: Observable<string>): Promise<Trie.TrieNode>;
export declare function compileWordListToTrieFile(words: Observable<string>, destFilename: string): Promise<void>;
export declare function compileTrie(filename: string, destFilename: string): Promise<void>;
export {};
